<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/SpawnSelection/Scripts/5_mission/dayzexpansion_spawnselection/dayzexpansion.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d9f/a08691_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">dayzexpansion.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/d9f/a08691.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * DayzExpansion.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**@class       DayZExpansion</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d2/de0/a03861.html">DayZExpansion</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d2/de0/a03861.html#a9391fa7ad0edde96d5671c3eb89f639e">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/de0/a03861.html#a9391fa7ad0edde96d5671c3eb89f639e">DayZExpansion</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.SPAWNSELECTION, <span class="keyword">this</span>, <span class="stringliteral">&quot;DayZExpansion&quot;</span>);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d2/de0/a03861.html#a7b63066f31207b88ac45f01c73e018cd">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/de0/a03861.html#a7b63066f31207b88ac45f01c73e018cd">~DayZExpansion</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.SPAWNSELECTION, <span class="keyword">this</span>, <span class="stringliteral">&quot;~DayZExpansion&quot;</span>);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d2/de0/a03861.html#addaf6e68226492d6da62e44d12a191d9">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/de0/a03861.html#addaf6e68226492d6da62e44d12a191d9">OnLoaded</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">if</span> ( IsMissionHost() )</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <a class="code hl_class" href="../../dd/d8e/a03377.html">ExpansionSettings</a>.<a class="code hl_variable" href="../../dd/d8e/a03377.html#a6f840f212487e34f6f5aae7a7356a855">SI_Spawn</a>.Invoke();</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        super.OnLoaded();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d2/de0/a03861.html#a338fdca00848517ab32e8db84706d7c8">   43</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/de0/a03861.html#a338fdca00848517ab32e8db84706d7c8">OnFinish</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.SPAWNSELECTION, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnFinish&quot;</span>);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        super.OnFinish();</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>};</div>
<div class="ttc" id="aa00710_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa03377_html"><div class="ttname"><a href="../../dd/d8e/a03377.html">ExpansionSettings</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08415_source.html#l00013">expansionsettings.c:14</a></div></div>
<div class="ttc" id="aa03377_html_a6f840f212487e34f6f5aae7a7356a855"><div class="ttname"><a href="../../dd/d8e/a03377.html#a6f840f212487e34f6f5aae7a7356a855">ExpansionSettings::SI_Spawn</a></div><div class="ttdeci">static ref ScriptInvoker SI_Spawn</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8b/a08454_source.html#l00015">expansionsettings.c:15</a></div></div>
<div class="ttc" id="aa03861_html"><div class="ttname"><a href="../../d2/de0/a03861.html">DayZExpansion</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d6b/a08670_source.html#l00016">dayzexpansion.c:17</a></div></div>
<div class="ttc" id="aa03861_html_a338fdca00848517ab32e8db84706d7c8"><div class="ttname"><a href="../../d2/de0/a03861.html#a338fdca00848517ab32e8db84706d7c8">DayZExpansion::OnFinish</a></div><div class="ttdeci">override void OnFinish()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d9f/a08691_source.html#l00043">dayzexpansion.c:43</a></div></div>
<div class="ttc" id="aa03861_html_a7b63066f31207b88ac45f01c73e018cd"><div class="ttname"><a href="../../d2/de0/a03861.html#a7b63066f31207b88ac45f01c73e018cd">DayZExpansion::~DayZExpansion</a></div><div class="ttdeci">void ~DayZExpansion()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d9f/a08691_source.html#l00025">dayzexpansion.c:25</a></div></div>
<div class="ttc" id="aa03861_html_a9391fa7ad0edde96d5671c3eb89f639e"><div class="ttname"><a href="../../d2/de0/a03861.html#a9391fa7ad0edde96d5671c3eb89f639e">DayZExpansion::DayZExpansion</a></div><div class="ttdeci">void DayZExpansion()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d9f/a08691_source.html#l00018">dayzexpansion.c:18</a></div></div>
<div class="ttc" id="aa03861_html_addaf6e68226492d6da62e44d12a191d9"><div class="ttname"><a href="../../d2/de0/a03861.html#addaf6e68226492d6da62e44d12a191d9">DayZExpansion::OnLoaded</a></div><div class="ttdeci">override void OnLoaded()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d9f/a08691_source.html#l00033">dayzexpansion.c:33</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_9d9d6e45bfc70d3ac818646d0aa249b5.html">SpawnSelection</a></li><li class="navelem"><a class="el" href="../../dir_c0ad3282c16835c2bad0182017dcaeff.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_5acf504be5e7fc52f0a47309806b41e1.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_aa43fa0f3b66e3f169d95108af984d75.html">dayzexpansion_spawnselection</a></li><li class="navelem"><a class="el" href="../../db/d9f/a08691.html">dayzexpansion.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
